---
title: "List Public Monitoring Locations"
description: "Public endpoint (no authentication required) that returns all monitoring locations with active workers. Suitable for landing pages and marketing."
---

`GET /api/public/monitoring-locations`

## Example (cURL)

```bash
curl -X GET "https://uptimeify.io/api/public/monitoring-locations" \
  -H "Accept: application/json"
```

## Response

```json
{
  "locations": [
    { "id": 19, "code": "de-ber", "name": "Berlin (DE)", "countryCode": "DE", "activeWorkers": 4 },
    { "id": 18, "code": "de-fra", "name": "Frankfurt (DE)", "countryCode": "DE", "activeWorkers": 4 },
    { "id": 8, "code": "de-fsn", "name": "Falkenstein (DE)", "countryCode": "DE", "activeWorkers": 6 },
    { "id": 7, "code": "de-nbg", "name": "Nuremberg (DE)", "countryCode": "DE", "activeWorkers": 7 },
    { "id": 20, "code": "es-vit", "name": "Logroño (ES)", "countryCode": "ES", "activeWorkers": 4 },
    { "id": 3, "code": "fi-hel", "name": "Helsinki (FI)", "countryCode": "FI", "activeWorkers": 6 },
    { "id": 17, "code": "fr-par", "name": "Paris (FR)", "countryCode": "FR", "activeWorkers": 4 },
    { "id": 6, "code": "it-mil", "name": "Milan (IT)", "countryCode": "IT", "activeWorkers": 4 },
    { "id": 5, "code": "pl-waw", "name": "Warsaw (PL)", "countryCode": "PL", "activeWorkers": 6 }
  ]
}
```

`activeWorkers` is a live value and varies over time.

